Index: src/main/java/com/example/moviezone/repository/ProjectionRepository.java
===================================================================
--- src/main/java/com/example/moviezone/repository/ProjectionRepository.java	(revision e097c1c6c43a727b92186eb295379adfa56c8a77)
+++ src/main/java/com/example/moviezone/repository/ProjectionRepository.java	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
@@ -4,4 +4,9 @@
 import org.springframework.data.jpa.repository.JpaRepository;
 
+import java.time.LocalDate;
+import java.util.List;
+
 public interface ProjectionRepository extends JpaRepository<Projection,Integer> {
+    //    NOTE: CHANGE THIS WITH MATERIALIZED VIEW
+    List<Projection> findAllByDate_time_startBefore(LocalDate datum);
 }
Index: src/main/java/com/example/moviezone/service/Impl/ProjectionServiceImpl.java
===================================================================
--- src/main/java/com/example/moviezone/service/Impl/ProjectionServiceImpl.java	(revision e097c1c6c43a727b92186eb295379adfa56c8a77)
+++ src/main/java/com/example/moviezone/service/Impl/ProjectionServiceImpl.java	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
@@ -6,4 +6,5 @@
 import org.springframework.stereotype.Service;
 
+import java.time.LocalDate;
 import java.util.List;
 
@@ -20,3 +21,9 @@
         return projectionRepository.findAll();
     }
+
+    @Override
+    public List<Projection> findAllAvailableProjections(LocalDate date) {
+        return projectionRepository.findAllByDate_time_startBefore(date);
+    }
+
 }
Index: src/main/java/com/example/moviezone/service/ProjectionService.java
===================================================================
--- src/main/java/com/example/moviezone/service/ProjectionService.java	(revision e097c1c6c43a727b92186eb295379adfa56c8a77)
+++ src/main/java/com/example/moviezone/service/ProjectionService.java	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
@@ -3,7 +3,10 @@
 import com.example.moviezone.model.Projection;
 
+import java.time.LocalDate;
 import java.util.List;
 
 public interface ProjectionService {
     List<Projection> findAllProjections();
+List<Projection> findAllAvailableProjections(LocalDate date);
+
 }
Index: src/main/java/com/example/moviezone/web/HomeController.java
===================================================================
--- src/main/java/com/example/moviezone/web/HomeController.java	(revision e097c1c6c43a727b92186eb295379adfa56c8a77)
+++ src/main/java/com/example/moviezone/web/HomeController.java	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
@@ -4,5 +4,7 @@
 import com.example.moviezone.model.User;
 import com.example.moviezone.model.exceptions.UserNotFoundException;
+import com.example.moviezone.service.EventService;
 import com.example.moviezone.service.FilmService;
+import com.example.moviezone.service.ProjectionService;
 import com.example.moviezone.service.UserService;
 import org.springframework.stereotype.Controller;
@@ -14,4 +16,5 @@
 
 import javax.servlet.http.HttpSession;
+import java.time.LocalDate;
 
 @Controller
@@ -21,8 +24,12 @@
 private final FilmService filmService;
 private final UserService userService;
+private final ProjectionService projectionService;
+private final EventService eventService;
 
-    public HomeController(FilmService filmService, UserService userService) {
+    public HomeController(FilmService filmService, UserService userService, ProjectionService projectionService, EventService eventService) {
         this.filmService = filmService;
         this.userService = userService;
+        this.projectionService = projectionService;
+        this.eventService = eventService;
     }
 
@@ -77,3 +84,25 @@
     }
 
+    @GetMapping("/films")
+    public String getFilmsPage(Model model){
+        model.addAttribute("films",filmService.findAllFilms());
+        model.addAttribute("bodyContent","films");
+        return "master-template";
+    }
+
+    @GetMapping("/projections")
+    public String getProjectionsPage(Model model)
+    {
+        model.addAttribute("projections",projectionService.findAllAvailableProjections(LocalDate.now()));
+        model.addAttribute("bodyContent","projections");
+        return "master-template";
+    }
+    @GetMapping("/events")
+    public String getEventsPage(Model model)
+    {
+        model.addAttribute("events",eventService.findAllEvents());
+        model.addAttribute("bodyContent","events");
+        return "master-template";
+    }
+
 }
Index: src/main/resources/templates/events.html
===================================================================
--- src/main/resources/templates/events.html	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
+++ src/main/resources/templates/events.html	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
@@ -0,0 +1,10 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Title</title>
+</head>
+<body>
+
+</body>
+</html>
Index: src/main/resources/templates/films.html
===================================================================
--- src/main/resources/templates/films.html	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
+++ src/main/resources/templates/films.html	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
@@ -0,0 +1,10 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Title</title>
+</head>
+<body>
+
+</body>
+</html>
Index: src/main/resources/templates/fragments/login.html
===================================================================
--- src/main/resources/templates/fragments/login.html	(revision e097c1c6c43a727b92186eb295379adfa56c8a77)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-    <meta charset="UTF-8">
-    <title>Title</title>
-</head>
-<body>
-
-</body>
-</html>
Index: src/main/resources/templates/fragments/register.html
===================================================================
--- src/main/resources/templates/fragments/register.html	(revision e097c1c6c43a727b92186eb295379adfa56c8a77)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-    <meta charset="UTF-8">
-    <title>Title</title>
-</head>
-<body>
-
-</body>
-</html>
Index: src/main/resources/templates/login.html
===================================================================
--- src/main/resources/templates/login.html	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
+++ src/main/resources/templates/login.html	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
@@ -0,0 +1,10 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Title</title>
+</head>
+<body>
+
+</body>
+</html>
Index: src/main/resources/templates/register.html
===================================================================
--- src/main/resources/templates/register.html	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
+++ src/main/resources/templates/register.html	(revision a554435c82779a3fdd16512c859c8e2371cde2b5)
@@ -0,0 +1,10 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Title</title>
+</head>
+<body>
+
+</body>
+</html>
